/*
 * DecimalConverter.java
 *
 * Created on 2007/03/17, 18:51
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.itscool.stylist.function;

import java.text.DecimalFormat;

/**
 * 数値変換用EL関数
 * @author KANO
 */
public class DecimalC {
    /**
     * 引数に指定した数値を指定されたフォーマットに変換します。<br/>
     * この関数は、内部で以下のような処理を行います。
     *<pre>
     *   DecimalFormat df
     *     = new DecimalFormat( "###,###,###,###,###,###円" );
     *   System.out.println( df.format( 10000 ) );           // １万円
     *   System.out.println( df.format( 100000000 ) );       // １億円
     *   System.out.println( df.format( 1000000000000L ) );  // １兆円
     *</pre>
     * @param num 数値
     * @param fmt 変換フォーマット
     * @return 変換結果を返します
     */
    public String format(int num, String fmt){
        if( fmt == null || fmt.length() == 0 ){
            return "";
        }
        DecimalFormat df = new DecimalFormat( fmt );
        return df.format( num );
        
    }
    
    public String format(String numStr, String fmt){
        if( fmt == null || fmt.length() == 0 || numStr == null || numStr.length() == 0 ){
            return "";
        }
        int num = Integer.parseInt(numStr);
        DecimalFormat df = new DecimalFormat( fmt );
        return df.format( num );
        
    }
}
